v10.6.2 Official announcement can be found here:
https://blog.buddiesofbudgie.org/budgie-10-6-2-released/

# Budgie 10.6.2

Budgie 10.6.2 is the second minor release in the 10.6 series of our Budgie Desktop environment, introducing fixes for bugs and improving code quality!

These fixes are backported from our in-progress 10.7 series, which will feature major upgrades to Budgie Menu, our internal theming, and more. This development process allows us to focus longer-term on features and larger overhauls while still being able to address issues raised on our issue tracker in a timely manner.
Bug Fixes & Improvements

    Abomination
        Attempt re-adding nameless windows on name change. Fixes an issue with application tracking of some Flatpak-based applications like Spotify. #105
    Budgie Daemon
        Disconnect from the allocation changed signal to avoid having notification popups move unexpectedly. Fixes an issue where Notifications could move when trying to close them. #147
        Drop unnecessary Comment in daemon desktop that produces warning.
        Fixes spec compliance for closing notifications. #118
        Set notif popup position after size allocation. Fixes an issue with notification positioning. #139
        Set a minimum expiry timeout for notification popups. Some applications set a timeout of 0, which the spec says means that it should never expire. Our implementation doesn't really fit that, since persistence is done by Raven, not the notification server. So, we should have a minimum show time for the popups to ensure that one is actually shown when it should be. #129
    Budgie Panel
        Fix math for calculating right panel strut. This fixes an issue where a right-positioned panel could overlap with windows. #145
        IconTasklist: Swap button key in hashtable when first_app changes. Fixes an issue when multiple apps could be shown as active. #93
        Rewrite initial applet layout to prevent position desync. #72
    Icon Tasklist
        Prevent segfault when attempting to swap buttons.
        Reset ITL buttons if group updated while pinned. This fixes an issue where pinned LibreOffice buttons would no longer appear when launching its instance. #107
        Reset ITL button's first_app and class group app on swap. This allows the tooltip of affected apps like Discord to update after the app is initially launched.
    Power Indicator
        Fix journal spam by only emitting warning once when we fail to get device data. This is typically seen on virtual environments. #151
    Workspace Applet
        Adjust app spacing and align with panel edges. #108
        Increase size and density of workspaces in workspace applet. #106
        Workspace item size now independent of workspace width

Alongside the above mentioned fixes, this release has code quality improvements, such as updates to our Meson build system support, cleanup of deprecated functions from third-party libraries, and reducing compiler warnings.
Contributor List

Budgie Desktop is developed by Buddies of Budgie and contributors from around the world. Here is a list of all the contributors that made this release possible:

    Campbell Jones
    David Mohammed
    Evan Maddock
    Joshua Strobl


v10.6.1 Official announcement can be found here:
https://blog.buddiesofbudgie.org/budgie-10-6-1-released/

# Budgie 10.6.1

Budgie 10.6.1 is the first minor release that introduces fixes for bugs in the 10.6 series of our Budgie Desktop environment.
Bug Fixes

    Icon Tasklist
        Fixed new applications not displaying in the tasklist when using restrict-to-workspace. #73
        Fixed a regression in no longer being able to move non-favorited / non-pinned applications. #79
        Fixed a regression where some IconButtons would remain in the IconTasklist. #78
        Introduced a supplmental buttons check that will also attempt to filter out any .desktop from an application ID for buttons, if we cannot find the button with an app id.
        Removed delay when opening apps. This was introduced in Abomination in an attempt to fix Chrome profile manager closing sequence but endend up breaking some other apps (such as Steam) closing sequence. Instead, try to reparent first app of group when an app associated with a pinned icon is closed so that the pinned button is reused. #85
    Notification Server
        Improved racyness when a notification is closed and another one shown in quick succession, causing incorrect notification positioning. This was noticeable when using applications that did not fully adhere to the Desktop Notifications Spec and the Replaces ID component of a Notification (to replace an existing notification), such as in the Lollypop audio player.
    Popover Manager
        Added a null check to budgie_popover_manager_ungrab for added safety.
    Raven
        No longer modify NotificationGroup HashTables while iterating over them. This prevents a critical message when dismissing notification groups. When iterating over a HashTable using the foreach method, the table should not be modified. Instead, use foreach_steal to iterate and remove from the notifications table.
        Fixed use of the Raven "Clear All Notifications" shortcut. #75
        Introduced a fix where clicking the notification bell, or alternatively when clicking the Raven trigger for the first time, would sometimes fail to open the correct page. This was due to those pages not yet being visible and in that scenario, GTK would silently fail during the GtkStack page changing. #31

Contributor List

Budgie Desktop is developed by Buddies of Budgie and contributors from around the world. Here is a list of all the contributor that made this release possible:

    Campbell Jones
    Evan Maddock
    Guillot Julien
    Joshua Strobl


v10.6 Official announcement can be found here:
https://github.com/BuddiesOfBudgie/budgie-desktop/releases/tag/v10.6

# Budgie 10.6

Budgie 10.6 is the first release of Budgie under the new Buddies Of Budgie organization! :rocket:  
&:rocket: :rocket: 

If you would like to support our work, you can contribute financially on our [OpenCollective](https
&://opencollective.com/buddies-of-budgie), as well as buy official Budgie merchandise (non-EU shop 
[&here](https://buddies-of-budgie.myspreadshop.com), EU shop [here](https://buddies-of-budgie.myspr
ea&dshop.net)) with the profits from sales going directly to our OpenCollective!

Budgie 10.6 is not just a reflection of our organization change for the development of Budgie, it r
&eflects an expansion on Budgie 10.x series with new features and re-architectures, applying the le
s&sons learned from those into our next generation version of Budgie. Buddies of Budgie views Budgi
e &Desktop as a platform rather than a product. Distributors of Budgie Desktop and users should not
 fe&el like their choice of theming, applications, or default styles should be at odds with the goa
ls o&f the project.

Budgie 10.6 aims to eliminate the divide between traditional "downstream" consumers of Budgie and t
&he development organization itself, but enabling those downstreams like Ubuntu Budgie to get more 
i&ntimately involved in its development.

Applying one of our core pillars of being a platform rather than a product, the goal with Budgie 10
&.6 and future releases of Budgie is to provide a macrocosm, or a minimal set of tightly coupled co
m&ponents, and leave the rest of the ecosystem up to the decisions and values of downstream consume
rs&, be that distributions or end users.

This macrocosm in Budgie 10 series is currently the following:

- Budgie Desktop (this repository)
- Budgie Desktop View: A dedicated desktop icons implementation.
- Budgie Control Center: A fork of GNOME Control Center with various value-add such as Raven keybin
&d support, improved fractional scaling support when supported by the operating system, re-organiza
t&ion of functionality.

We expect downstream consumers of Budgie to use following:

- Budgie Desktop 10.6+
- [Budgie Desktop View](https://github.com/BuddiesOfBudgie/budgie-desktop-view) 1.2+
- [Budgie Control Center](https://github.com/BuddiesOfBudgie/budgie-control-center) 1.0.0+

Budgie Desktop 10.6 introduces changes to various components which expects the aforementioned forks
& + versions, for example schema changes for Budgie Desktop View and opening of GNOME Control Cente
r& now opens Budgie Control Center.

## Application Tracking and Icon Tasklist Improvements

In Budgie 10.6, the Icon Tasklist and application tracking system saw rewrites or changes to:

- Application Grouping
- Fix exclusion of valid applications. Because a window type returned can be a list of types, we sh
&ould actually check that the window has in its list a _NET_WM_WINDOW_TYPE_NORMAL or _NET_WM_WINDOW
_&TYPE_TOOLBAR. If this type is *in* the types, then we should allow this item to be tracked, other
wi&se ignore. This fixes cases with some KDE applications like Spectacle and KColorChooser not show
ing& up.
- Fixes to applications that do not provide a WM_CLASS
- Fixes to LibreOffice application grouping
- Improved single-instance application tracking


## Internal Theme and Panel Refinements

![before-after-budgie](https://user-images.githubusercontent.com/156574/156933142-6c550f2c-cc32-4d0
&1-8eed-7632f0398645.jpg)


The primary goals with the internal theme rewrite were to address inconsistencies across all Budgie
& components. This has been achieved with changes to:

1. Border radiuses on most dialogs, Raven Widgets, Panel Popover content.
2. Spacing in the form of padding and margins, alongside minimum width for applets which promotes u
&niform spacing on the panel.
3. Unified color scheme for widgets within the panel
4. Reduction in semi-transparency to improve readability.
5. Reduction in our use of borders and shadows.
6. Removing of "stylized end regions" due to inconsistencies across GTK themes and internal theme.
7. General improvements to our support for GTK themes, such as with Budgie Menu.

We didn't just improve the styling of the internal theme however! Alongside those changes, there ha
&ve been improvements to the panel and its widgets:

- Adjusted raven sizing to fix panel size changes, fixes an issue where Raven could overlap the Pan
&el.
- Precise battery levels icons are now used when supported by the icon theme. This means the icon w
&ill get updated on 10% intervals.
- The Clock Applet text will now wrap on vertical panels.
- Increased the default panel size to 36 pixels, which is the result of us no longer calculating in
& the size of the shadow.
- Prevented a crash when somehow deleting the same applet twice.
- Updated the default panel configuration to reflect the one that was used in Solus via its Budgie 
&Desktop Branding package. This change better communicates our expectation for the default Budgie e
x&perience. Prior to this change, there were large inconsistencies such as panel location and widge
ts&, between distributors such as Arch Linux and other consumers like Solus.

## Notification System Rewrite

In Budgie 10.6, our Notification Server saw a rewrite and move out of Raven, enabling it to be util
&ized in other Budgie components, for example unlocking the capability to support notification badg
e&s in Icon Tasklist in the future.

When rewriting the Notification Server, we took this opportunity to fix long-standing issues as wel
&l as introduce subtle improvements to the Notification popups themselves.

- We now use the GTK.Stack for Notification popup bodies, providing a better way to reflect notific
&ation body content.
- We have improved the last Notification tracking and pausing, reducing weirdness with some edge ca
&ses like Discord and Firefox.
- We now properly utilize the Notification's appinfo, fixing issues where Notification Groups could
& present the wrong name (such as with Evolution and its calendar events).
- Fixed notification mute button sometimes starting without an image.
- Fixed a long-standing issue with our Notification Server returning the incorrect Notification ID,
& which could impact notification replacement.
- Clicking on a Notification Popup will now trigger the default action instead of adding a button f
&or the default action.
 
 
## Other Changes

Here are some other changes that we made in Budgie 10.6:

- Elimination of some legacy queue_layout calls in the window manager, which should reduce unnecess
&ary redraws
- Use of tabs instead of spaces, general reformatting of some code
- Reintroduce support for GNOME 40, to enable Ubuntu LTS support
- Moved from Weblate to Transifex for translations
- Renamed Budgie Desktop View schema to support its rebrand
- Renamed GNOME Control Center references to Budgie Control Center
- Ensure gschema override for switch-input-source* is formatted correctly, which fixes a gschema co
&mpilation warning.
- Fix SEGV when input source was switched by Alt+Shift_L, caused by using a non-ibus input method.
- Fixes to expanding Raven thumbnail causing Raven itself to resize

---

## Thank You

I would like to thank all the amazing contributors that have made this release possible, provided f
&eedback on our [Matrix Server](https://matrix.to/#/#buddies-of-budgie:matrix.org), and supported o
u&r vision of Budgie. Special thanks go to:

- @EbonJaeger
- @fossfreedom
- @guillotjulien
- @kenhys
- @serebit

v10.5.3 Official announcement can be found here:
https://getsol.us/2021/04/27/fashionable-gnome-forty/

Text of the announcement reproduced below:
Fashionable GNOME Forty

Budgie 10.5.3 is a minor release that introduces fixes for bugs, various quality-of-life improvemen
&ts, and support for the GNOME 40 stack.
Bug Fixes and Cleanup

Budgie 10.5.3 introduces fixes to Budgie panel applets, Raven, and various window state tracking.

    Drop use of Queue and Cancellable in Raven’s NotificationView.
        Instead of using a Queue (which is not thread safe anyways), just update a reference to a N
&otificationWindow since we only really cared about the head of the Queue to begin with.
        Dropped Cancellable usage for async pixbuf scaling. There has not really been a scenario ye
&t where we have not been able to scale an icon within the amount of time before a NotificationWind
o&w is removed.
    Fix application icons not scaling in Raven’s Notification Group headers.
    Fix issue with VirtualBox icon not being displayed in IconTaskList applet
    Fix regression in Budgie Desktop Settings icon handling.
    MPRIS metadata, playback status, and CanGoPrevious / CanGoNext fetching is now performed immedi
&ately rather than being an unnecessary idle operation.
    Notifications now use a high priority timeout.
    Notification iconography now uses a consistent IconSize.DIALOG instead of IconSize.INVALID and 
&only scales if the icon provided is not already the desired height.
    Prevent Budgie Desktop Settings from being pinned via drag-and-drop, fixing an issue where Budg
&ie Desktop Settings was inadvertently pinnable and unable to be unpinned.
    Sound Indicator applet and Raven
        Use standard mute/unmute methods, fixing issues like muting with media keys and then trying
& to unmute via the applet, which would previously not work.
    System Tray applet
        Fix issue with KeePass causing panel segfaults.
        Various stability improvements, such as more proactive X11 error trapping.

GNOME 40 Support

Budgie 10.5.3 introduces support for the GNOME 40 stack. GNOME 40 introduced various changes in Mut
&ter, gsettings-desktop-schemas, and gnome-shell which impacted the ability to use Budgie under a G
N&OME 40 stack or in conjunction with GDM (GNOME’s login manager which leverages gnome-shell).

When compiled alongside GNOME Settings Daemon 40.x, Budgie will use the migrated font anti-aliasing
& and hinting options, which were moved from org.gnome.settings-daemon.plugins.xsettings to org.gno
m&e.desktop.interface. In GNOME Shell and GNOME Settings Daemon 40, there were changes introduced w
hi&ch impacted Budgie’s ability to use dedicated screensavers, such as Solus' fork of gnome-scree
nsa&ver (which we have been using since 2017). This fork has now been formally renamed to budgie-sc
reen&saver, bumped to v4, and promoted to a required component of Budgie Desktop, with changes intr
oduce&d to facilitate Budgie’s continued ability to lock the session and attempt to co-exist in a
n inst&allation environment alongside GNOME Shell and GDM. As always, we encourage that Budgie be u
sed wit&h lightdm and an optional greeter such as slick-greeter, as opposed to being installed alon
gside GD&M and GNOME Shell.
Quality-of-life Improvements
2021 04 Budgie Desktop Settings

Here are some quality-of-life improvements shipping in Budgie 10.5.3

    Filter out audacious notifications so they do not clutter up Raven.
    Hide “Default”, which is typically Adwaita / GTK’s internal theme. We continue to encoura
&ge the use of theming that officially supports Budgie, such as Materia and Plata.
    Mutter and WM preference schema settings are now only applied for Budgie session.
    Spacing is now configurable in the Status applet.
    The application fullscreen state tracking has been slightly rewritten to use the window XIDs, o
&nly call our track window state function on specific flags in the changed or current state, and re
d&ucing instances where some unset flags would not result in the application being removed as a ful
ls&creen application.
    There is now an option in Budgie and exposed via Budgie Desktop Settings' “Windows” section
& to automatically pause notifications when a window is fullscreen and unpause when there no longer
 &is a fullscreen window. This is useful in reducing distractions when gaming or watching content!
    To improve the default user experience of Budgie on some downstream operating systems such as A
&rch Linux, Budgie now ships with a default wallpaper, eliminating the need for downstreams to appl
y& supplemental changes or ship a wallpaper package.
    We will no longer filter device added / removed notifications. This resolves issues where eject
&ion notifications for external media would not get stored in Raven’s Notifications section.
    When xdotool is available on the operating system, the Lock Keys applet can be clicked to toggl
&e CapsLock and NumLock!


v10.5.2 Official announcement can be found here:
https://getsol.us/2020/12/02/budgie-10-5-2-released/

Text of the announcement reproduced below:
Quality of Life

Budgie 10.5.2 introduces new goodies to make your Budgie experience even better!
Applets
Budgie Menu

Budgie Menu has received various refinements for this release:

    Budgie Menu introduces additional checks for an application’s DesktopAppInfo, ensuring that w
&e consistently skip apps and exclude them from calculations when they have Hidden or NoDisplay set
,& as well as if the NotShowIn contains Budgie.
    Budgie Menu will no longer show empty categories, a common occurrence when installing applicati
&ons via WINE.
    Budgie Menu will now alphabetically sort category names, which is useful when you have custom u
&ser desktop directories for applications. They are no longer forced to be below default system-wid
e& desktop directories such as Internet / Networking, Office, Sound & Video, etc.
    Applications which utilize pkexec in their desktop info will now spawn an asynchronous process,
& with pkexec being the command and passing the rest of the command line content as arguments.

Icon Tasklist
The Icon Tasklist applet has seen new features and behaviour refinements in Budgie 10.5.2.

There are now two new options available, disabled by default, to launch a new instance of an applic
&ation via the respective button for the application: middle click and double click. This expands o
n& our existing option to create a new instance of an application by clicking the + button in the p
op&over of each Icon Button.

The behavior of the Icon Tasklist has been refined in Budgie 10.5.2. We have consolidated duplicate
& logic in other less used classes into our dedicated application state tracking class, which is us
e&d by the Icon Tasklist and IconPopover to provide a list of running applications, their AppInfo, 
an&y group they belong to, and more. This consolidation has meant more consistent “skip pager” 
che&cks, as well as more consistent rejection of various types of windows, such as:

    DOCK (like budgie-panel)
    SPLASHSCREEN (temporary splash screen apps, like what you would see for GIMP or LibreOffice)
    UTILITY (like controls for an emulator).

Thanks to this more consistent window type rejection, we are able to more closely discern between w
&hat is budgie-panel versus what is budgie-desktop-settings, which is part of the panel but is othe
r&wise a NORMAL type application. This enabled us to resolve an issue where the pin and new instanc
e &buttons were being unintentionally shown, as well as an issue where you could not close Budgie D
esk&top Settings via the IconPopover controls (right click popover for each Icon Button in the task
list&).

After close discussions with members of the community on our forums on the expected behaviour of th
&e Icon Tasklist, time was spent refining the behaviour of Icon Tasklist and individual Icon Button
s& to be more consistent. Here are some examples:

    When the “Show All Windows on Click” option is enabled, we will now more consistently show 
&or minimize all windows on click if one of them is currently active.
    If only one instance of an application is open and it is on another workspace (in this case the
& “Restrict to Workspace” option is not enabled), we switch to that workspace and unminimize th
e& window (since the chances are you probably want to see the application in the first place).

We are always listening to feedback on how to improve the behaviour of Icon Tasklist while ensuring
& it remains simple and approachable to use. If you have an idea on how to improve it further, feel
 &free to file an issue on Budgie’s issue tracker.

Sound
The Sound applet has seen a redesign and now features a dedicated button for mute toggling, as well
& as leveraging iconography for the System Settings button rather than text.

System Tray
Dating back to the days of Budgie 7 in 2014, Budgie had been using an na-tray implementation also s
&een in desktop environments such as Cinnamon for the creation and management of system tray icons.
 &Thanks to the incredible work by Solus contributor Campbell Jones, the System Tray has been compl
et&ely rewritten from scratch, supporting tray icons leveraging the XEmbed Protocol. This new imple
men&tation resolves numerous issues such as:

    Background icons not refreshing, resulting in instances where it may appear that multiple icons
& are overlapping.
    Tray icons not consistently hiding when a panel hides (during “Intelligent” mode).
    Tray icons blinking when panel transparency is set to “Dynamic”
    Tray icons getting hidden when switching icon themes.

Additionally, a configuration option has been added for the System Tray that enables the setting of
& spacing between individual icons, making it perfect for those that want both their applets and tr
a&y icons to be equidistant!

Budgie Desktop Settings
Budgie Desktop View has been updated to provide a clearer differentiation between removing a Panel 
&and removing an applet from a Panel. A dedicated button for removing a panel has been added below 
t&he Panel’s applet list, with a description that makes its purpose clearer. This button will not
 a&ppear when you only have one panel in your Budgie setup. Building on this, we have removed the o
pti&on to disable the panel removal confirmation dialog. From user reports, the consensus was that 
this& option was too easy to enable, would result in accidental permanent removal of panels more fr
equen&tly than desired, and lacked a clear user-friendly method to re-enable the prompt.

For those which use Budgie in another language than English, the menu items presented when adding a
& new Autostart application or command via the Autostart section are now translatable. For any lang
u&age which has the terms translated, those will be used instead.

Budgie Desktop View
Budgie 10.5.2 is the first release of Budgie to feature our new desktop icons implementation. In re
&leases dating back to the beginning of Budgie 10, we had been using Nautilus' (now legacy) desktop
 &icons implementation to provide such support. When Nautilus removed their desktop icons support, 
So&lus used an older version of Nautilus to retain it, while some other downstream consumers of Bud
gie& used alternative file managers with similar features to that version of Nautilus, such as Nemo
. Du&ring that time, other desktop environments have strayed away from providing this functionality
 with& some going so far as to remove it entirely, requiring you to install third-party extensions 
to re-&introduce the functionality.

We have always recognized that for many, desktop icons is an important part of their workflow, and 
&so retaining that support in a sustainable manner was paramount for the release of Budgie 10.5.2. 
W&e wanted to enable our downstreams to ship Budgie akin to how Solus does without potentially comp
ro&mising on functionality.

To facilitate this, our goal from the start for Budgie 10.5.2 was to introduce a new, separate proj
&ect that could be iterated on independently from Budgie Desktop itself. This project needed to be 
r&igorously focused and developed with an understanding of the scope and intent of the project, not
 t&rying to be a file manager but rather a method of quickly accessing the content and applications
 yo&u consider most important.

Last week, we debuted the first generally public development release of Budgie Desktop View and the
& feedback has been fantastic, giving us numerous places where we can continue to improve this new 
p&roject, in addition to what we already have planned for the upcoming releases.

Alongside Budgie 10.5.2, we have just released our first stable 1.0 release of Budgie Desktop View,
& which builds on the features and focus of the prior development releases with a new option to cho
o&se between using a single and double-click to launch items. This enables you to curate the launch
 b&ehaviour to mimic your favorite graphical file manager, many of which have such “click policie
s�&�. By default, we default to a single-click behavior.

This release refactors many of the shared logic between the various item and view classes we have a
&s well, reducing references or copies of values (resulting in reduced memory usage) and paving the
 &way for easier iteration on upcoming functionality.

However 1.0 is not the final form Budgie Desktop View will take! Drag & Drop support will be added 
&in 1.1, keyboard navigation with arrow keys will be implemented in 1.2, and once GTK4 introduces i
t&s first stable release, we will also be assessing moving Budgie Desktop View to it to take advant
ag&e of all the improvements the GNOME team has done to the latest generation of its toolkit.

Budgie has always been about striking a balance in customization and that extends to the support we
& provide downstreams like Ubuntu Budgie as well. That is why we worked hard on introducing a new v
e&ndor-oriented mechanism to enable downstreams to choose a desktop icons implementation that fits 
th&em and their users best. Alongside our own “native” Budgie Desktop View implementation, we a
re &providing official support in the Budgie Desktop Settings application for the configuration of 
Desk&topFolder and Nemo. Our OS Integration wiki page provides details on the typical method that d
ownst&reams can leverage to override default GSettings key / values, as well as providing the key s
hould &any savvy user decide to do some tinkering themselves!

Raven
Thanks to Solus contributor Evan Maddock, Budgie 10.5.2 introduces a new option to choose which sid
&e of the screen Raven should be. Prior to Budgie 10.5.2, Raven would always appear on the left sid
e& when the main panel and trigger were on the left, and appear on the right when the main panel wa
s &anywhere else.

Users will be able to choose between this behaviour, called “Automatic”, as well as left and ri
&ght sides!

Translations
Thanks to our incredible community members that have stepped up to translate Budgie, Budgie is now 
&more accessible than ever. Budgie 10.5.2 introduces support for three new languages: Afrikaans, Al
b&anian, and Hindi. Budgie now has 40 languages which have 90% or more coverage and we have seen de
di&cated translators step up for a wide range of languages, many of which are now completely transl
ate&d, such as:

    Croatian
    Finnish
    Malay
    Punjabi
    Spanish (Argentina)
    Spanish (Chile)

We are still working hard to get Budgie translated 100% into many languages. If you are interested 
&in helping translate Budgie into your language, feel free to reach out!
Other

Here are some other aspects of Budgie that received refinements:

    Animation disabling: Background transitions and workspace switching are no longer always enable
&d but now honor the option to disable animations in Budgie Desktop Settings
    Budgie’s Application Switcher
        Typically referred to as the Alt+Tab switcher, this switcher now supports the Ctrl modifier
&, adding support for more custom keyboard layouts and mappings.
        We now support an option to show all windows from all workspaces in the switcher, enabling 
&you to switch between applications and workspaces simultaneously.
    Budgie Run Dialog can now check keywords, improving search and aligning its behaviour closer to
& that of Budgie Menu.
    Budgie now provides a new meson option: xdg-appdir
        This option enables downstreams such as openSUSE to use its own stateless XDG path.
    Caffeine Applet: When Caffeine Mode is enabled, the timer will now update the spin button value
& based on how many minutes are remaining.
    Forward-specific keyboard layout switching can now be done with Alt+Shift.
    Transparency is now supported in background images, falling back to the fixed color or gradient
& behind it.
    We now provide an option via GSettings to configure the desired screenshot commands, so downstr
&eams can use alternatives to gnome-screenshot.

Bug Fixes

In addition to all the quality of life improvements and features we have added, Budgie 10.5.2 intro
&duces many bug fixes including for some issues dating back years to the early days of Budgie 10.

    Applets
        Fix Workspace Applet allowing more than max supported workspace count. We will now return a
& -1 on our WM AppendNewWorkspace if we are rejecting more additions of workspaces, which informs o
u&r WorkspaceApplet to not show the + button (even if set to always show) and reject drag actions o
nt&o new workspaces.
    Panel
        Added missing LEFT and RIGHT panel layouts in the manager, which prevented downstreams and 
&users from using panel.ini files with left or right panels.
        During panel initialization, we will now appropriately set dock-mode if needed, which fixes
& an issue where the class would only be applied if the dock mode setting actually changed.
        Fix a crash when removing an applet with missing information.
        The Tasklist applet will no longer cause the rest of the panel contents to be thrown into t
&he aether when you have many windows open. You will be able to scroll up / down to get all the win
d&ows and we will be working on dedicated buttons in the tasklist applet in Budgie 10.5.3. This res
ol&ves two bugs, one from 2014 and another from 2017.
        Regions which do not have any panel widgets / applets will no longer be shown, allowing app
&lets to take up more space and eliminates weird spacing related issues.
        When changing away from dock mode on a panel, we will now correctly remove the dock-mode CS
&S class.
    Raven
        Chromium-based browser notifications no longer display with broken icon images. This was du
&e to the fact that these browsers would prefix the icon with file:/// and Chromium-based browsers 
w&ould not pass the correct path. We will now default to the fallback mail-unread-symbolic icon for
 t&hese applications.
        Notifications and Notification Groups can no longer be selected, which would result in a vi
&sual change with no obvious or easy way to deselect them. There are no functional changes, as ther
e& are no actions which make use of the selection of Notifications or Notification Groups.
        Notifications are no longer appended to Notification Groups, resulting in older Notificatio
&ns being higher in a Notification Group’s list than newer ones.
        The Sound widget will no longer allow raising the volume above 100% when the option is off.
        The MPRIS player will correct the album art URLs provided by Spotify, which would otherwise
& be misreported by Spotify, resulting in images which could not be found.
    Other
        Budgie Popovers will now properly handle window scale factors.
        Crash fixes related to the usage of Wnck have been resolved.
        Fix some custom keyboard shortcuts and media keys not correctly applying after boot or rebo
&ot.
        Night Light will now appropriately start or end if an application has the fullscreen state 
&amongst its many states, and not just being fullscreen. This is useful if you have an application 
w&hich is fullscreen and above or below other windows, is sticky (maintains position regardless of 
wo&rkspace), shaded, etc.


v10.5.1 Official announcement can be found here:
https://getsol.us/2019/10/03/budgie-and-its-army-of-gnomes/

Text of the announcement reproduced below:
Budgie 10.5.1 is the first minor release of the Budgie 10.5 series, introducing a multitude of qual
&ity-of-life changes, bug fixes, and support for new GNOME Stacks. This Budgie 10.5 series release 
a&lso brings new and updated translations thanks to our amazing community!
Bug Fixes

Bug fixes are the cornerstone of Budgie 10.5 series releases, ensuring existing Budgie user experie
&nces are smoother than ever.

Budgie 10.5.1 introduces some bug fixes around Budgie Menu artifacting, notifications, improving wi
&ndow raise performance, and more. Let’s break down the big items that were addressed!

    Budgie Menu
        Menu artificating (such as window borders still showing in some cases) is now fixed.
        Menu items are now sorted using locale linguist rules.
    IconTasklist
        Fixed instances of window tracking in multi-window scenarios by invalidating our window on 
&close in our AbominationRunningApp and picking another window of the same WM_CLASS.
        Fixed the ability to move non-favorited running applications / windows in IconTasklist acro
&ss grouping and non-grouping modes. These are now allowed to intermingle with your favorited appli
c&ations without concern for a panel crash. We’re doing this by more heavily leveraging our Abomi
na&tionRunningApp to provide more consistent window-specific IDs.
    Raven
        Notification body alignment is now properly justified.
        Notifications will now properly wrap using WORD_CHAR, so we’ll be more aggressive on wrap
&ping on words when possible, but fallback to characters for longer running strings like URLs.
        Application controls in the Sound applet will now handle Gvc ChannelMap changes. This is us
&eful since some applications do not provide accurate GvcStream volume immediately when creating th
e&ir stream, such as Firefox when starting a video. We’ll now ensure we’re updating those value
s &and ensuring applications like Firefox more accurately reflect muted states over Gvc.
    Polkit: We now correctly handle user dismissing authentication dialogs
    WM: We now enforce an instant auto raise of windows when the focus-mode is set to mouse over / 
&mouse focus and 250ms on click, resulting in speedy window raising.

Quality of Life

Budgie 10.5.1 introduces a few new goodies to make your Budgie experience, as well as those of our 
&Budgie theme authors, even better!
Budgie Desktop Settings
2019/10/Budgie Desktop Settings Fonts

Budgie 10.5.1 introduces hinting and anti-aliasing settings in our Fonts section of Budgie Desktop 
&Settings, allowing you even more flexibility with how document, interface, monospace, and window t
i&tle fonts render:

    For font hinting, you can choose between a range of options ranging from no font hinting to ful
&l font hinting.
    For antialiasing, you can choose between subpixel antialiasing, standard grayscale, and no anti
&aliasing.

GNOME Stack Support

Budgie 10.5.1 provides support for several GNOME stack releases, allowing for an ever growing amoun
&t of Budgie users to get the latest updates! Budgie supports GNOME 3.30, 3.32, and now 3.34, inclu
d&ing recent changes in GNOME Settings Daemon.

Thanks to the folks over at Ubuntu Budgie for their patches, it’s greatly appreciated!
Icon Tasklist
2019/10/Budgie Desktop Icon Tasklist Hover

If you have a single window open for a given IconButton in the Icon Tasklist, we will now update th
&e tooltip when you hover over.
Workspaces
2019/10/Budgie Desktop Settings Desktop

Budgie 10.5.1 introduces the ability to have persistent workspaces created at the launch of Budgie,
& with a configurable amount of default workspaces.

Under the Desktop section of Budgie Desktop Settings, you’ll find a new option called “Number o
&f virtual desktops”, where you can go from just having one workspace up to eight! A perfect oppo
r&tunity to hide away all those Electron apps you’re ashamed to be running!

If you want more workspaces dynamically, you can still use our Workspace Applet to add more as you 
&need them.
Styling

Budgie 10.5.1 introduces a multitude of new CSS classes to ease Budgie Desktop theme development:

    Icon Popover: Now has the icon-popover class
    Night Light Applet: The container for the Night Light applet popover now uses the night-light-i
&ndicator class
    Raven
        MPRIS widget now has an mpris-widget class
        MPRIS widget controls now have a raven-mpris-controls class
        Notifications View now has the raven-notifications-view class
        Internal to the Notifications View, we now provide the raven-header class, as well as dedic
&ated classes for 